import { ThemeTypesModel } from '../../../Themes/theme_types';
interface YearsGridProps {
    view: 'mobile' | 'desktop';
    theme?: ThemeTypesModel;
    currentYear: number;
    valueYear?: number;
    gridPosition: number;
    allowFocusBorder: boolean;
    tempYear?: number;
    minYear?: number;
    maxYear?: number;
    isInverse?: boolean;
    yearSelected: (year: YearItem) => void;
}
interface YearItem {
    key: string;
    title: string;
    disabled: boolean;
    selected: boolean;
}
interface GridProp {
    theme?: ThemeTypesModel;
    view: 'mobile' | 'desktop';
}
export type { YearsGridProps, YearItem, GridProp };
