import React from 'react';
import { ThemeTypesModel } from '../../../Themes/theme_types';
import { viewModel } from '../types';
interface RowCellsProps {
    dayTime: 'day' | 'night';
    isBordered: boolean;
    interactive?: boolean;
    isStriped: boolean;
    children: React.ReactNode;
    mouseClicked: boolean;
    rowGroup?: any;
    row?: any;
    onKeyDown?: (e: React.KeyboardEvent) => void;
    onKeyUp?: (e: React.KeyboardEvent) => void;
    onClick?: (e: React.MouseEventHandler<HTMLDivElement>) => void;
    onFocus?: (e: React.FocusEvent) => void;
    onBlur?: (e: React.FocusEvent) => void;
    theme: ThemeTypesModel;
    styled: viewModel;
}
declare const RowCells: React.FC<RowCellsProps>;
export default RowCells;
