import dayjs from 'dayjs';
export declare const months: string[];
export declare const formatKeys: {
    day: string;
    month: string;
    year: string;
};
export declare const createMask: (value: string, format: string) => string;
export declare const getMaskReplacement: (format: string) => {
    Д: RegExp;
    Л: RegExp;
    Г: RegExp;
};
export declare const modify: (valueWithoutMask: string, format: string) => {
    mask: string;
    replacement: {
        Д: RegExp;
        Л: RegExp;
        Г: RegExp;
    };
};
export declare const parseDateByFormat: (value: string, format: string) => {
    parsedDate: dayjs.Dayjs;
    day: string;
    month: string;
    year: string;
};
export declare const updateFormat: (str: string) => string;
