import { ContainerProps, DateInputProps, DescriptionProps, ErrorMessageProps, IconContainerProps, InfoSpanProps, LabelProps, RangeInfoProps, RangeInputProps, SelectPartProps } from './types';
declare const Container: import("styled-components").StyledComponent<"div", any, ContainerProps, never>;
declare const TopPart: import("styled-components").StyledComponent<"div", any, {}, never>;
declare const Label: import("styled-components").StyledComponent<"label", any, LabelProps, never>;
declare const Description: import("styled-components").StyledComponent<"p", any, DescriptionProps, never>;
declare const SelectPart: import("styled-components").StyledComponent<"div", any, SelectPartProps, never>;
declare const InternalLabel: import("styled-components").StyledComponent<"label", any, LabelProps, never>;
declare const RangeInfo: import("styled-components").StyledComponent<"div", any, RangeInfoProps, never>;
declare const StartRangeDate: import("styled-components").StyledComponent<"div", any, {}, never>;
declare const EndRangeDate: import("styled-components").StyledComponent<"div", any, {}, never>;
declare const RangeInput: import("styled-components").StyledComponent<"input", any, RangeInputProps, never>;
declare const InfoSpan: import("styled-components").StyledComponent<"span", any, InfoSpanProps, never>;
declare const DateInput: import("styled-components").StyledComponent<"input", any, DateInputProps, never>;
declare const IconContainer: import("styled-components").StyledComponent<"button", any, IconContainerProps, never>;
declare const FooterPart: import("styled-components").StyledComponent<"div", any, {}, never>;
declare const ErrorMessage: import("styled-components").StyledComponent<"p", any, ErrorMessageProps, never>;
export { Container, TopPart, Label, Description, InternalLabel, SelectPart, DateInput, RangeInfo, StartRangeDate, EndRangeDate, RangeInput, InfoSpan, IconContainer, FooterPart, ErrorMessage, };
