import React from 'react';
export interface FooterProps {
    className?: string;
    ariaLabel?: string;
    role?: string;
    isInverse?: boolean;
    children?: React.ReactNode;
}
export interface FooterState {
    styles: StyleScheme;
    isInverse: boolean;
    dayTime: 'dark' | 'light';
}
export interface StyleScheme {
    style: {
        light: {
            bgColor: string;
            fontColor: string;
        };
        dark: {
            bgColor: string;
            fontColor: string;
        };
    };
}
export interface FooterContainerProps {
    state: FooterState;
}
