import { ThemeTypesModel } from '../../../Themes/theme_types';
import { availableColors, NavigationMenuItem, QuickAction, userProfileData, ModelView } from '../types';
interface MobileMenuProps {
    renderMenuParts: {
        search: boolean;
        navigation: boolean;
        actionLinks: boolean;
        userProfile: boolean;
    };
    searchValueChanged: (val: string) => void;
    isInverse?: boolean;
    color: availableColors;
    theme: ThemeTypesModel;
    navigationMenu?: NavigationMenuItem[];
    quickActions?: QuickAction[];
    userProfileData?: userProfileData;
}
interface MobMenuContextWrapperProp {
    isInverse?: boolean;
    styled: ModelView;
}
export type { MobileMenuProps, MobMenuContextWrapperProp };
