import { ThemeTypesModel } from '../../Themes/theme_types';
import { Color, Kind } from '../../types';
interface QuickActionItemProps {
    value: {
        icon?: string;
        text?: string;
    };
    ariaLabel: string;
    className?: string;
    isDisabled?: false;
    onClick: () => void;
}
interface QuickActionPropsType {
    quickActionItems: QuickActionItemProps[];
    type?: 'text' | 'icon';
    color?: Color.green | Color.dark | Color.blue;
    kind?: Kind.primaryLoud | Kind.primary | Kind.secondaryLoud;
    theme?: ThemeTypesModel;
    className?: string;
    isInverse?: boolean;
}
interface ariaQuickActionGroupTypes {
    role: string;
}
interface ContainerProps {
    styled: viewModel;
}
interface viewModel {
    style: {
        default: {
            boxShadowColor: string;
        };
    };
}
export type { QuickActionItemProps, QuickActionPropsType, ariaQuickActionGroupTypes, ContainerProps, viewModel, };
