/// <reference types="react" />
import { Size } from '../../../../types';
export interface ToolPanelItemOptions {
    isActive: boolean;
    isDisabled: boolean;
    size: Size;
    aria: any;
    role?: string;
    customIcon?: () => React.JSX.Element;
    format: {
        title: string;
        icon: string;
    };
    onClick: () => void;
}
