import { HTMLAttributes } from 'react';
export type look = 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'body' | 'body-semibold' | 'body-bold' | 'link' | 'label' | 'label-semibold' | 'link-sm';
interface TypographyProps extends HTMLAttributes<HTMLDivElement> {
    look?: look;
    className?: string;
    element?: 'div' | 'span' | 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5';
}
export type { TypographyProps };
