import { ThemeTypesModel } from '../../Themes/theme_types';
declare const Model: (theme: ThemeTypesModel) => {
    style: {
        day: {
            green: {
                default: {
                    fontColor: string;
                    bgColor: string;
                    hover: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
                selected: {
                    fill: {
                        fontColor: string;
                        bgColor: string;
                    };
                    border: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
            };
            blue: {
                default: {
                    fontColor: string;
                    bgColor: string;
                    hover: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
                selected: {
                    fill: {
                        fontColor: string;
                        bgColor: string;
                    };
                    border: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
            };
            dark: {
                default: {
                    fontColor: string;
                    bgColor: string;
                    hover: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
                selected: {
                    fill: {
                        fontColor: string;
                        bgColor: string;
                    };
                    border: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
            };
        };
        night: {
            green: {
                default: {
                    fontColor: string;
                    bgColor: string;
                    hover: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
                selected: {
                    fill: {
                        fontColor: string;
                        bgColor: string;
                    };
                    border: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
            };
            blue: {
                default: {
                    fontColor: string;
                    bgColor: string;
                    hover: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
                selected: {
                    fill: {
                        fontColor: string;
                        bgColor: string;
                    };
                    border: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
            };
            dark: {
                default: {
                    fontColor: string;
                    bgColor: string;
                    hover: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
                selected: {
                    fill: {
                        fontColor: string;
                        bgColor: string;
                    };
                    border: {
                        fontColor: string;
                        bgColor: string;
                    };
                };
            };
        };
    };
    size: {
        s: {
            button: {
                height: number;
                paddingTop: number;
                paddingLeft: number;
                paddingRight: number;
            };
            icon: {
                width: number;
                height: number;
                marginRight: number;
                marginLeft: number;
                top: number;
            };
            label: {
                paddingTop: number;
            };
            counter: {
                top: number;
            };
            font: import("../../Themes/theme_types").FontStyleTypeModel;
        };
        m: {
            button: {
                paddingTop: number;
                height: number;
                paddingLeft: number;
                paddingRight: number;
            };
            icon: {
                width: number;
                height: number;
                marginRight: number;
                marginLeft: number;
                top: number;
            };
            label: {
                paddingTop: number;
            };
            counter: {
                top: number;
            };
            font: import("../../Themes/theme_types").FontStyleTypeModel;
        };
        l: {
            button: {
                paddingTop: number;
                height: number;
                paddingLeft: number;
                paddingRight: number;
            };
            icon: {
                width: number;
                height: number;
                marginRight: number;
                marginLeft: number;
                top: number;
            };
            label: {
                paddingTop: number;
            };
            counter: {
                top: number;
            };
            font: import("../../Themes/theme_types").FontStyleTypeModel;
        };
    };
};
export default Model;
