import { ThemeTypesModel } from '../../../Themes/theme_types';
type YearsRangeGridProps = {
    view: 'mobile' | 'desktop';
    theme?: ThemeTypesModel;
    today: number;
    currentYear: number;
    gridPosition: number;
    valueYear?: number;
    sectionNumber: number;
    allowFocusBorder: boolean;
    tempYear?: number;
    minYear?: number;
    maxYear?: number;
    focusDown?: boolean;
    isInverse?: boolean;
    yearSelected: (year: YearItem) => void;
    yearMouseEnter: () => void;
    yearMouseLeave: () => void;
};
type YearItem = {
    key: string;
    title: string;
    disabled: boolean;
    selected: boolean;
};
type GridRangeProps = {
    theme?: ThemeTypesModel;
    view: 'mobile' | 'desktop';
};
export type { YearsRangeGridProps, YearItem, GridRangeProps };
