import React from 'react';
import { ThemeTypesModel } from '../../../Themes/theme_types';
import { Size } from '../../../types';
import { viewModel } from '../types';
interface HeaderCell {
    className: string;
    active: boolean;
    theme: ThemeTypesModel;
    dayTime: 'night' | 'day';
    size: Size;
    isSelection: boolean;
    offFocusOutline?: boolean;
    styled: viewModel;
    headerGroup: any;
    align: 'center' | 'left' | 'right';
    column: any;
    isLast: boolean;
    disabledCLick?: boolean;
    onCli?: () => void;
    children: React.ReactNode;
}
declare const HeaderCell: React.FC<HeaderCell>;
export default HeaderCell;
