import { ThemeTypesModel } from '../../../Themes/theme_types';
import { ModelView, availableColors } from '../types';
interface HeaderButtonProps {
    color: availableColors;
    theme: ThemeTypesModel;
    isInverse?: boolean;
    text?: string;
    role?: string;
    icon?: string;
    isActive?: boolean;
    ariaLabel: string;
    widthProp: 'fixed' | 'full';
    onFocus?: () => void;
    clicked?: () => void;
}
interface ActionButtonProps {
    styled: ModelView;
    role?: string;
    theme: ThemeTypesModel;
    isText: boolean;
    focusOutline?: boolean;
    color: 'white' | 'black' | 'blue' | 'green';
}
export type { HeaderButtonProps, ActionButtonProps };
