import React from 'react';
interface IconProps {
    icon: string;
    color?: string;
    reverse?: boolean;
    customIcon?: () => React.ReactNode;
    className?: string;
    children?: React.ReactNode;
}
interface IconContainerProps {
    color?: IconProps['color'];
    reverse?: IconProps['reverse'];
}
export type { IconProps, IconContainerProps };
