import { ThemeTypesModel } from '../../Themes/theme_types';
export declare const Model: (theme: ThemeTypesModel) => {
    style: {
        day: {
            backgroundColor: string;
            fontColor: string;
            title: {
                context: string;
                modal: string;
            };
        };
        night: {
            backgroundColor: string;
            fontColor: string;
            title: {
                context: string;
                modal: string;
            };
        };
    };
    size: {
        context: {
            mobile: {
                title: {
                    font: import("../../Themes/theme_types").FontStyleTypeModel;
                };
            };
            desktop: {
                title: {
                    font: import("../../Themes/theme_types").FontStyleTypeModel;
                };
            };
        };
        l: {
            mobile: {
                title: {
                    font: import("../../Themes/theme_types").FontStyleTypeModel;
                };
            };
            desktop: {
                title: {
                    font: import("../../Themes/theme_types").FontStyleTypeModel;
                };
            };
        };
        m: {
            mobile: {
                title: {
                    font: import("../../Themes/theme_types").FontStyleTypeModel;
                };
            };
            desktop: {
                title: {
                    font: import("../../Themes/theme_types").FontStyleTypeModel;
                };
            };
        };
        content: {
            font: import("../../Themes/theme_types").FontStyleTypeModel;
        };
    };
};
