import { ContainerPropTypes, LabelPropTypes, DescriptionPropTypes, ValueContainerPropTypes, ValueTextPropTypes, PlaceholderPropTypes, DropIconPropTypes, TagsTypes } from './types';
declare const Container: import("styled-components").StyledComponent<"div", any, ContainerPropTypes, never>;
declare const GhostInput: import("styled-components").StyledComponent<"input", any, {}, never>;
declare const Label: import("styled-components").StyledComponent<"label", any, LabelPropTypes, never>;
declare const Description: import("styled-components").StyledComponent<"p", any, DescriptionPropTypes, never>;
declare const ValueContainer: import("styled-components").StyledComponent<"div", any, ValueContainerPropTypes, never>;
declare const ValueText: import("styled-components").StyledComponent<"p", any, ValueTextPropTypes, never>;
declare const TagsContainer: import("styled-components").StyledComponent<"div", any, TagsTypes, never>;
declare const TagWrapper: import("styled-components").StyledComponent<"div", any, TagsTypes, never>;
declare const Placeholder: import("styled-components").StyledComponent<"p", any, PlaceholderPropTypes, never>;
declare const DropIcon: import("styled-components").StyledComponent<"div", any, DropIconPropTypes, never>;
declare const ErrorMessage: import("styled-components").StyledComponent<"p", any, DescriptionPropTypes, never>;
export { Container, Label, Description, GhostInput, ErrorMessage, ValueContainer, ValueText, TagsContainer, TagWrapper, Placeholder, DropIcon, };
