import { Editor } from 'slate';
import { StateContextOptions } from '../../RTE.types';
interface dayTime {
    green: styleParams;
    dark: styleParams;
    blue: styleParams;
}
interface styleParams {
    linkTitle: string;
}
interface size {
    container: {
        paddingLeft: number;
        paddingRight: number;
        paddingTop: number;
        paddingBottom: number;
    };
}
export interface LinkEditorProps {
    editor: Editor;
    changed: () => void;
}
export interface styledMapScheme {
    style: {
        light: dayTime;
        dark: dayTime;
    };
    size: {
        l: size;
        m: size;
        s: size;
    };
}
export interface ContainerProps {
    state: StateContextOptions;
    styles: styledMapScheme;
}
export {};
