import { ThemeTypesModel } from '../../Themes/theme_types';
import { Color, Size } from '../../types';
import { segmentedItem } from '../SegmentedControlItem';
type width = 'fixed' | 'full';
interface SegmentedControlProps {
    segmentedItems: segmentedItem[];
    type?: 'text' | 'icon';
    size?: Size.s | Size.m | Size.l;
    width?: width;
    color?: Color.green | Color.dark | Color.blue;
    theme?: ThemeTypesModel;
    className?: string;
    isDisabled?: boolean;
    isInverse?: boolean;
}
interface dividerState {
    isActive: boolean;
    hasDivider: boolean;
}
interface ContainerProps {
    width: width;
}
export type { SegmentedControlProps, dividerState, ContainerProps };
