import { ThemeTypesModel } from '../../../Themes/theme_types';
import { viewModel } from '../types';
interface valueHandlerProps {
    isDisabled: boolean;
    gridStep: [number, number];
    theme: ThemeTypesModel;
    styled: viewModel;
    bounds: {
        left?: number;
        right?: number;
        top?: number;
        bottom?: number;
    };
    handlerPosition: {
        x: number;
        y: number;
    };
    direction: 'horizontal' | 'vertical';
    isEditable: boolean;
    isRequired: boolean;
    allowBorderFocus: boolean;
    min: number;
    max: number;
    value: number;
    label: string;
    tickPosition: 'start' | 'end';
    isInverse: boolean;
    onDrag: (val: number, type: string) => void;
    onStop: () => void;
    changeValue: (type: string, val?: number) => void;
}
export type { valueHandlerProps };
