type position = 'top-left' | 'top-center' | 'top-right' | 'bottom-left' | 'bottom-center' | 'bottom-right';
interface ToasterServiceProps {
    withProgressBar?: boolean;
    lifeTime?: number;
    limit?: number;
    position?: position;
    className?: string;
}
interface ContainerProps {
    position: position;
}
export type { ToasterServiceProps, ContainerProps };
